<?php

return [
    'big_link' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-fw fa-external-link-alt',
        'color' => '#cc0084',
        'has_statistics' => true,
        'display_dynamic_name' => 'name',
        'whitelisted_thumbnail_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'standard',
    ],
    'faq' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-feather',
        'color' => '#da2a73',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'category' => 'advanced',
    ],
    'typeform' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-keyboard',
        'color' => '#000',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'category' => 'embeds',
    ],
    'discord' => [
        'type' => 'ultimate',
        'icon' => 'fab fa-discord',
        'color' => '#7289D9',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'category' => 'embeds',
    ],
    'facebook' => [
        'type' => 'ultimate',
        'icon' => 'fab fa-facebook',
        'color' => '#4267B2',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'whitelisted_hosts' => ['www.facebook.com', 'fb.watch'],
        'category' => 'embeds',
    ],
    'reddit' => [
        'type' => 'ultimate',
        'icon' => 'fab fa-reddit',
        'color' => '#FF4500',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'whitelisted_hosts' => ['www.reddit.com'],
        'category' => 'embeds',
    ],
    'audio' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-volume-up',
        'color' => '#003b63',
        'has_statistics' => false,
        'display_dynamic_name' => 'name',
        'whitelisted_file_extensions' => ['mp3', 'm4a'],
        'category' => 'standard',
    ],
    'video' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-video',
        'color' => '#0c3db7',
        'has_statistics' => false,
        'display_dynamic_name' => 'name',
        'whitelisted_file_extensions' => ['mp4', 'webm'],
        'category' => 'standard',
    ],
    'file' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-file',
        'color' => '#8c8c8c',
        'has_statistics' => true,
        'display_dynamic_name' => 'name',
        'whitelisted_file_extensions' => ['pdf', 'zip', 'rar', 'doc', 'docx'],
        'whitelisted_thumbnail_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'standard',
    ],
    'countdown' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-clock',
        'color' => '#2b2b2b',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'category' => 'advanced',
    ],
    'cta' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-comments',
        'color' => '#3100d6',
        'has_statistics' => true,
        'display_dynamic_name' => 'name',
        'whitelisted_thumbnail_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'standard',
    ],
    'external_item' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-money-bill-wave',
        'color' => '#00ce18',
        'has_statistics' => true,
        'display_dynamic_name' => 'name',
        'whitelisted_thumbnail_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'advanced',
    ],
    'share' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-share-square',
        'color' => '#00d3ac',
        'has_statistics' => true,
        'display_dynamic_name' => 'name',
        'whitelisted_thumbnail_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'advanced',
    ],
    'youtube_feed' => [
        'type' => 'ultimate',
        'icon' => 'fab fa-youtube',
        'color' => '#282828',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'category' => 'advanced',
    ],
    'timeline' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-ellipsis-v',
        'color' => '#3c526d',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'category' => 'advanced',
    ],
    'review' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-star',
        'color' => '#ffe100',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'whitelisted_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'advanced',
    ],
    'image_slider' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-clone',
        'color' => '#290b5b',
        'has_statistics' => true,
        'display_dynamic_name' => false,
        'whitelisted_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'advanced',
    ],
    'pdf_document' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-file-pdf',
        'color' => '#AA1501',
        'has_statistics' => true,
        'display_dynamic_name' => 'name',
        'whitelisted_file_extensions' => ['pdf'],
        'whitelisted_thumbnail_image_extensions' => ['jpg', 'jpeg', 'png', 'svg', 'gif', 'webp'],
        'category' => 'standard',
    ],
    'markdown' => [
        'type' => 'ultimate',
        'icon' => 'fa fa-sticky-note',
        'color' => '#ff8300',
        'has_statistics' => false,
        'display_dynamic_name' => false,
        'category' => 'advanced',
    ],
];
